Hamkorlar uchun API › Qo'llab-quvvatlash So‘rov tarixini olish POST /api/crm/v2/tickets.get_historyv2
operationId: tickets.getHistory
So‘rov tarixini qaytaradi: yaratilishi, qo‘shilgan va o‘chirilgan fayllar, status, mavzu, tavsif, mas’ul shaxs, jamoalar, mahsulot, platforma va turdagi o‘zgarishlar — sana, tashabbuskor, oldingi va keyingi qiymatlar hamda tarmoq nomi bilan.
Avtorizatsiya api-token + language + role
So‘rov tanasi application/json object
id integer majburiy
Misol: 394
Javoblar 200
object
status string majburiy
Qiymatlar: successerror
Misol: success
data array of object
id integer majburiy
Misol: 1100
date string (DataTimeFormatSQL) majburiy
Misol: 2024-05-02 08:31:16
action string (HistoryItemAction) majburiy
Qiymatlar: createdaddedchangeddeleted
Misol: created
type string (HistoryItemType) majburiy
Qiymatlar: subjectdescriptionfilesstatususer_name_in_chargeteamsproductplatformtype
Misol: subject
before string
O‘zgartirishdan oldingi qiymat: so‘rov holati, amal yoki fayl identifikatorlari
Misol: waiting_customer_response
after string
O‘zgartirilgandan keyingi qiymat: so‘rov holati, amal yoki fayl identifikatorlari
Misol: 28d25e2b19189609dc68018406d920cb, b942924cbf4d341567dade78e60d8e2e
user_name string
Misol: user name
chain_name string
Misol: Green Basket | Kirov
affiliate_name string
Misol: Alexandritto
curl PHP JavaScript Python Nusxa olish
curl -X POST 'https://foodsoul.ru/api/crm/v2/tickets.get_history' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: uz' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":394}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/tickets.get_history' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'uz' ,
'role' => 'partner' ,
],
'json' => [
'id' => 394 ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/tickets.get_history" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uz" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"id" : 394
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/tickets.get_history" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uz" ,
"role" : "partner" ,
},
json ={
"id" : 394 ,
},
)
data = response . json () Javob 200
{
"status" : "success" ,
"data" : [
{
"id" : 1100 ,
"date" : "2024-05-02 08:31:16" ,
"action" : "created" ,
"type" : "subject" ,
"before" : "waiting_customer_response" ,
"after" : "28d25e2b19189609dc68018406d920cb, b942924cbf4d341567dade78e60d8e2e" ,
"user_name" : "user name" ,
"chain_name" : "Green Basket | Kirov" ,
"affiliate_name" : "Alexandritto"
}
]
} So‘rovlar foodsoul.ru ga yuboriladi — bu portalning xosti, boshqasini tanlash mumkin emas.